Subject: Re: bug#16830: [Bug] 24.3.50; massive slow down in forward-line

From: Eli Zaretskii <[email-masked]>
Date: Sat, 22 Feb 2014 11:18:08 +0200

> Date: Sat, 22 Feb 2014 09:39:27 +0100
> From: "Stefan-W. Hahn" <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>
> 
> If you search for #### you will find the item, which shows the problem.
> If you then type C-c C-c on the #+BEGIN line you will get it.
> 
> I observed that it is not as slow as in the original file. Perhaps this
> has to do with to fontifying, because org-mode now has much less to fontify.
> It also makes no difference if the items after this item are inside the
> file.
> 
> But anyway it is compared to an older emacs where it takes less then a
> second to update the table.

OK, I can confirm the slow-down.  The profile points to forward-line,
so I disabled cache-long-scans, and -- lo and behold -- the slowdown
went away.  So this should be the workaround for the time being.

It looks like the overhead of caching newlines, which is supposed to
be small, is somehow very large in this case.